Bug 1479449 - Documentation: Need to document the need to install ceph-ansible RPM on undercloud for OC deployments with ceph.
Documentation: Need to document the need to install ceph-ansible RPM on unde...
Status: POST
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 12.0 (Pike)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:52 EDT by Alexander Chuzhoy
Modified: 2017-10-11 05:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2017-08-08 10:52:36 EDT
Documentation: Need to document the need to install ceph-ansible  RPM on undercloud for OC deployments with ceph.


Overcloud deployment with ceph will fail if there's no ceph-ansible RPM on the undercloud. This needs to be documented.
Comment 1 Dan Macpherson 2017-08-08 21:46:19 EDT
Hi Sasha,

While I can document this, I should ask first: would it be better to make the ceph-ansible package a dependency of one of the tripleo packages?

- Dan
Comment 2 Alexander Chuzhoy 2017-08-08 21:53:55 EDT
Hi Dan,
Not all deployments include ceph.
external ceph or NFS  for example don't require this.

Giulio, WDYT?
Comment 3 Dan Macpherson 2017-08-08 22:07:34 EDT
That's a fair point. I'll hold fire until Giulio responds. If he thinks it's not wise to use a package dependency, I'll add documentation for it.
Comment 7 Sofer Athlan-Guyot 2017-08-10 07:25:08 EDT
Hi,

wondering how this will work for upgrade from osp11, It looks like any osp11 with ceph will need this package so we *have* to install it during upgrade.  Giulio any though about this ?
Comment 8 Giulio Fidente 2017-08-11 02:53:47 EDT
For those deployments using Ceph yes, it will be necessary to install ceph-ansible on the undercloud.
Comment 10 Dan Macpherson 2017-10-09 02:16:08 EDT
Sasha,

Do the two commits in comment #9 satisfy what you've requested?
Comment 14 Alexander Chuzhoy 2017-10-10 18:05:17 EDT
Dan, Looks good for deployment.


Marius, Could you please confirm for upgrade - see comment #9.
Comment 15 Marius Cornea 2017-10-11 05:56:21 EDT
(In reply to Alexander Chuzhoy from comment #14)
> Dan, Looks good for deployment.
> 
> 
> Marius, Could you please confirm for upgrade - see comment #9.

Looks good to me. Thanks!

Note You need to log in before you can comment on or make changes to this bug.